\name{diTARV-package}
\alias{diTARV-package}
\alias{diTARV}
\docType{package}
\title{
  TARV with Depth Importance
}
\description{
  This package implements the TARV analysis strategy with depth importance measure. In the TARV analysis, the marginal effects of candidate variables are ordered. Here we consider depth importance score as the measure of the marginal effect of candidate variable.
}
\details{
  The function "di_cal" is the main function for importance measure calculation. Other supporting functions are "tree_build", "depth_find" and "split_var_extract". "tree_build" builds the classification tree based on the recursive partition technique, and it gives the chi-square statistics of each splitting node which is used in the depth importance score calculation. "depth_find" learns the depth of every node based on the tree output. "split_var_extract" returns the variable used to split each node, if the node is not splitted further, NA is returned for this node.
}
\author{
Jianchang Hu <jianchang.hu@yale.edu>
}
\references{
  J.C. Hu, T. Li, S.Y. Wang, and H.P. Zhang, "Supervariants Identification for Breast Cancer", Genetic Epidemiology, Vol. 44, Issue 8, p.934-947 (2020).
}
\keyword{ TARV, super-variant, importance measure, random forest }